=== modified file 'client/errname.h'
--- client/errname.h	2009-02-20 22:48:37 +0000
+++ client/errname.h	2009-06-16 03:02:59 +0000
@@ -30,8 +30,8 @@
 
 static st_error global_error_names[]=
 {
-  { "ER_HASHCHK", 1000 },
-  { "ER_NISAMCHK", 1001 },
+  { "ER_UNUSED", 1000 },
+  { "ER_UNUSED", 1001 },
   { "ER_NO", 1002 },
   { "ER_YES", 1003 },
   { "ER_CANT_CREATE_FILE", 1004 },

=== modified file 'drizzled/error.cc'
--- drizzled/error.cc	2009-03-16 15:20:27 +0000
+++ drizzled/error.cc	2009-06-16 03:02:59 +0000
@@ -30,10 +30,10 @@
 
 static const char *drizzled_error_messages[]=
 {
-/* ER_HASHCHK   */
-N_("hashchk"),
-/* ER_NISAMCHK   */
-N_("isamchk"),
+/* Unused: was ER_HASHCHK which hasn't been used since before MySQL 3.20.32a  */
+N_("UNUSED"),
+/* Unused: was ER_NISAMCHK which hasn't been used since mysql-3.20.32a  */
+N_("UNUSED"),
 /* ER_NO   */
 N_("NO"),
 /* ER_YES   */

=== modified file 'drizzled/error.h'
--- drizzled/error.h	2009-03-16 15:20:27 +0000
+++ drizzled/error.h	2009-06-16 03:02:59 +0000
@@ -29,8 +29,8 @@
 
 enum drizzled_error_code {
   ER_ERROR_FIRST= 1000,
-  ER_HASHCHK= ER_ERROR_FIRST,
-  ER_NISAMCHK,
+  ER_UNUSED1000= ER_ERROR_FIRST,
+  ER_UNUSED1001,
   ER_NO,
   ER_YES,
   ER_CANT_CREATE_FILE,

